/*
Design by Free CSS Templates
http://www.freecsstemplates.org
Released for free under a Creative Commons Attribution 2.5 License
*/
html {
    height: 100%;
}

body {
    margin: 0;
    padding: 0;
    font: normal 16px "Lucida Sans Unicode", "Lucida Grande", Geneva,
        Verdana, Arial, sans-serif;
}

h1,h2,h3 {
    margin-top: 0;
}

h1 {
    font-size: 1.6em;
    font-weight: normal;
}

h2 {
    font-size: 1.4em;
}

h3 {
    font-size: 1.2em;
    margin-top: 10px;
    margin-bottom: 5px;
    font-size: 1.15em;
}

ul {

}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

a img {
    border: none;
}

fieldset {
    margin: 0;
}

ul.layout {
    list-style: none;
}

p {
    margin: 0;
}

label {
    font-weight: bold;
}

/* Style classes */
.ui-button,
.ui-selectonemenu {
    border-radius: 15px;
}

.ui-selectonemenu-trigger {
    border-radius: 0px 15px 15px 0px;
}

.select-one-radio label {
    font-weight: normal;
}

.left-margin {
    margin-left: 50px;
}

.right-margin {
    margin-right: 50px;
}

.auto-margin-10px {
    margin: 10px auto;
}

.hav-header-form {
    display: flex;
}

.hav-header-footer {
    background-color: #A8A8A8;
    border: none;
    width: 100%;
    color: #FFFFFF;
    text-align: center;
}

.hav-header-footer a {
    color: #FFFFFF;
    font-weight: bold;
}

.hav-icon {
    vertical-align: text-bottom;
}

.layout-header {
    width: 100%;
    padding-bottom: 30px;
}

.layout-main {
    width: 100%;
    max-width: 1280px;
    margin-left: auto;
    margin-right: auto;
    display: block;
}

.summary-detail-panel {
    border: none;
    margin-top: 10px;
    margin-bottom: 10px;
}

.width-100-percent {
    width: 100%;
}

.width-33-percent {
    width: 33%;
}

.width-80-percent {
    width: 80%
}

.txt-align-left {
    text-align: left;
}

.txt-align-center {
    text-align: center;
}

.txt-align-right {
    text-align: right;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.vertical-align-bottom {
    vertical-align: bottom;
}

.padding-top-5px {
    padding-top: 5px;
}

.padding-top-20px {
    padding-top: 20px;
}

.padding-none {
    padding: 0;
}

.valign-top {
    vertical-align: top;
}

.info-text {
    font-style: italic;
}

.button-panel {
    text-align: right;
    width: 100%;
    border: none;
}

.hav-separator {
    margin: 0px 4px 0 7px;
    font-weight: bold;
}

.ui-widget-overlay {
    background-color: buttonface;
    opacity: .30;
}

.noBorders tr, .noBorders td {
    background: none !important;
    border: none !important;
}

.ui-state-disabled, .ui-widget-content .ui-state-disabled, .ui-widget-header .ui-state-disabled {
    opacity: 0.65;
}

.version-label {
    color: #FFFFFF;
}

.application-title {
    font-size: xx-large;
}

.uppercase {
    text-transform: uppercase;
}

.utv-env-style, .test-env-style {
    background-color: chartreuse;
}

.prod-env-style {
    background-color: #A8A8A8;
}

.errorDiv {
    background-color: #D32F2F;
    color: white;
    padding: 10px 10px 10px 10px;
}

/*** Override Primfeces CSS ***/
/* Override the table-layout fixed in Primefaces 5 */
.ui-datatable table {
    table-layout: auto;
}

.ui-layout-center {
    max-width: 1280px;
    margin: auto !important;
}

.tillstTbl .ui-widget-content .ramfelBox .ui-state-default
{
    background: white;
    color: #000000;
}